Subject: Re: idea: pruning stale tags

From: Marc Branchaud <[email-masked]>
Date: Fri, 11 Mar 2011 09:48:31 -0500

On 11-03-10 12:10 PM, Adam Monsen wrote:
> My idea is to add functionality to git-remote to prune stale tags
> (those which no longer exist on the remote). Add a new ui:
> 
> git remote prune --tags [-n | --dry-run] <name> [<remote>]
> 
> I think it is not possible to know which remote tags originated
> from, yes? That's why I suggested adding the [<remote>] parameter;
> one would be required to specify the remote to sync with if more
> than one remote is configured.

I agree with this idea, but in the context of Johan's proposed overhaul of
ref namespaces:

http://thread.gmane.org/gmane.comp.version-control.git/165799/focus=165885

		M.